Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.disco
Interface ServerFeaturesProvider

All Known Implementing Classes:
  AdHocCommandHandler, IQDiscoItemsHandler, IQLastActivityHandler, IQOfflineMessagesHandler, IQPEPHandler, IQPingHandler, IQPrivacyHandler, IQPrivateHandler, IQRegisterHandler, IQRosterHandler, IQTimeHandler, IQVersionHandler, MulticastRouter, VCardManager

    public interface ServerFeaturesProvider

ServerFeaturesProviders are responsible for providing the features offered and supported protocols by the SERVER. Example of server features are: jabber:iq:agents, jabber:iq:time, etc.

When the server starts up, IQDiscoInfoHandler will request to all the services that implement the ServerFeaturesProvider interface for their features. Whenever a disco request is received IQDiscoInfoHandler will add to the provided information all the collected features. Therefore, a service must implement this interface in order to offer/publish its features as part of the server features.

Author:
  Gaston Dombiak

Method Summary
`Iterator<String>` | `getFeatures()` Returns an Iterator (of String) with the supported features by the server.

Method Detail

### getFeatures

    Iterator<String> getFeatures()

  Returns an Iterator (of String) with the supported features by the server. The features to include are the features offered and supported protocols by the SERVER. The idea is that different modules may provide their features that will ultimately be part of the features offered by the server.

  Returns:
    an Iterator (of String) with the supported features by the server.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.